#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		apivers		4.0
#-----------------------------------------------------------------------------
Name		:	gtkmm
Version		:	4.13.2
Release		:	14.8.0.0%{?dist}
Summary		:	To provides a C++ interface to GTK3r+. 
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2+
URL		:	http://ftp.gnome.org/pub/gnome/sources/gtkmm

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	cairomm-1-16-devel
BuildRequires	:	m4
BuildRequires	:	meson
BuildRequires	:	mm-common
BuildRequires	:	pangomm-2-48
BuildRequires	:	doxygen
BuildRequires	:	graphviz
BuildRequires	:	gtk-devel

#-----------------------------------------------------------------------------
%description
The Gtkmm package provides a C++ interface to GTK+ 3.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc COPYING NEWS README.md
%{_libdir}/lib%{name}-%{apivers}.so.0*

#=============================================================================
%package		devel

Summary		:	Development files for %{name}

#-----------------------------------------------------------------------------
Requires	:       %{name}	= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
The %{name}-devel package contains libraries and
header files for developing applications that use %{name}.
	
#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/%{name}-%{apivers}/%{name}.h
%{_includedir}/%{name}-%{apivers}/%{name}/*.h
%{_includedir}/%{name}-%{apivers}/gdkmm.h
%{_includedir}/%{name}-%{apivers}/gdkmm/*.h
%{_includedir}/%{name}-%{apivers}/gdkmm/private/*.h
%{_includedir}/%{name}-%{apivers}/%{name}/private/*.h
%{_libdir}/%{name}-%{apivers}/include/%{name}config.h
%{_libdir}/%{name}-%{apivers}/include/gdkmmconfig.h
%{_libdir}/%{name}-%{apivers}/proc/m4/*.m4
%{_libdir}/lib%{name}-%{apivers}.so
%{_libdir}/pkgconfig/%{name}-%{apivers}.pc
	
#=============================================================================
%package		doc

Summary		:	API documentation for %{name}

#-----------------------------------------------------------------------------
Requires	:       %{name}	= %{version}-%{release}

BuildArch	:	noarch

#-----------------------------------------------------------------------------
%description		doc
This package contains the full API documentation for %{name}.
	
#-----------------------------------------------------------------------------
%files			doc
%defattr(-,root,root,-)
%doc %{_docdir}/gtkmm-%{apivers}/
%doc %{_datadir}/devhelp/
%doc _docs/*

#=============================================================================
%prep
%setup -q
# Copy demos before build to avoid including built binaries in doc package
mkdir -p _docs
cp -a demos/ _docs/

#-----------------------------------------------------------------------------
#building application
%build

meson							\
	setup						\
        --prefix=%{_prefix}				\
	--libdir=%{_libdir}				\
	--wrap-mode=nodownload				\
	--buildtype=release				\
	-D build-documentation=true			\
	_bld

ninja							\
	-C _bld

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

DESTDIR=%{buildroot}                                    \
        ninja                                           \
        -C _bld                                        \
        install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%changelog
